distinct.hh File Reference
`#include <gecode/int.hh>`
`#include <gecode/int/view-val-graph.hh>`
`#include <gecode/int/rel.hh>`
`#include <gecode/int/distinct/cbs.hpp>`
`#include <gecode/int/distinct/val.hpp>`
`#include <gecode/int/distinct/bnd.hpp>`
`#include <gecode/int/distinct/ter-dom.hpp>`
`#include <gecode/int/distinct/graph.hpp>`
`#include <gecode/int/distinct/dom-ctrl.hpp>`
`#include <gecode/int/distinct/dom.hpp>`
`#include <gecode/int/distinct/eqite.hpp>`

Go to the source code of this file.

## Classes

class | Gecode::Int::Distinct::Val< View >
| Naive value distinct propagator. More...
class | Gecode::Int::Distinct::Bnd< View >
| Bounds consistent distinct propagator. More...
class | Gecode::Int::Distinct::Graph< View >
| View-value graph for propagation. More...
class | Gecode::Int::Distinct::DomCtrl< View >
| Propagation controller for domain consistent distinct. More...
class | Gecode::Int::Distinct::Dom< View >
| Domain consistent distinct propagator. More...
class | Gecode::Int::Distinct::TerDom< View >
| Ternary domain consistent distinct propagator. More...
class | Gecode::Int::Distinct::EqIte
| Equal-if-then-else domain-consistent propagator. More...

## Namespaces

namespace | Gecode::Int::Distinct
| Distinct propagators
namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.

## Functions

template<class View, bool complete>
ExecStatus | Gecode::Int::Distinct::prop_val (Space &home, ViewArray< View > &)
| Eliminate singletons by naive value propagation.
template<class View>
ExecStatus | Gecode::Int::Distinct::prop_bnd (Space &home, ViewArray< View > &x, int &min_x, int &max_x)
| Perform bounds consistent distinct propagation.
template<class View>
ExecStatus | Gecode::Int::Distinct::prop_bnd (Space &home, ViewArray< View > &x)
| Perform bounds consistent distinct propagation.